commit:     abfbb13ba8be0748a4e5bc2a4eb42c5b716fe7c9
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  4 14:39:10 2018 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Oct  4 14:39:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abfbb13b

app-admin/ansible: 2.7.0 bump

Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 app-admin/ansible/Manifest             |  1 +
 app-admin/ansible/ansible-2.7.0.ebuild | 66 ++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/app-admin/ansible/Manifest b/app-admin/ansible/Manifest
index c91882bcec3..7542c890cbc 100644
--- a/app-admin/ansible/Manifest
+++ b/app-admin/ansible/Manifest
@@ -6,3 +6,4 @@ DIST ansible-2.6.1.tar.gz 10724749 BLAKE2B 
af4523ab904660fa3369bdae2839ab4b2f386
 DIST ansible-2.6.3.tar.gz 10748570 BLAKE2B 
ff27e46771ab5c574202a195bdddb2affc256ba67de98627ef07d3899a1b6bbdb742a71deff63ad6a22aa53298eb22a22a44a885f53098e2404823565fbc513c
 SHA512 
f34052379b892d5dff5e170e4237d4595ecf9d951226cc928fc092e253f5fa9f492a6e953ff09ed63b19ddb0f2b8df66ac738c2f48923e6d5b1dcc96fc2799c9
 DIST ansible-2.6.4.tar.gz 10751810 BLAKE2B 
16a01b76387b6fb0c6554861fd02a57858cf2623ea89e55c0940589b69a6589d4db00bdf87f1e51ab64e638c187657f66ebb5af33a6fa008b7f1dba1e853b3f3
 SHA512 
b3dc3469dd7e34e3b39b3382df65c3684a44be0515f68861997a4d0e5fce44d64000bc0da0b38fd3d27b45aa1ec3973da581482e0de54c5cc41eb761b230b116
 DIST ansible-2.6.5.tar.gz 10757800 BLAKE2B 
2389dfdbdf731382643227cb3a0df501d7b756d81dbddfe9b5ce609086eb04073441c01ed6f49480628fa2a2b3556e07c1b4588cb5df96a072d72c9a09fe2739
 SHA512 
3cab1d14abb3d173722ee76699ac778188481d575d589fb9e85541689a806b6f3eece9b1c5122cd863b46da56ed5cc3c32faaa143826ab3bd3e7a6cc06cbe2fe
+DIST ansible-2.7.0.tar.gz 11773769 BLAKE2B 
00df537d2a8c6d76c7b4c4a424ff3c33a8a69d77ecdd741fe6ec4c6b30c7b136e28e644a488b6b49a305a454d1a923bd92d3b78be79a816fea6c127f4c2aa6da
 SHA512 
a5e0e0b87bb2fa8fbc76825733a5c6afe642d4602be80466e5f28324e90be4487fd1c300e567a164222f171bd9eac65b7b36ca9b6fe4bebfcbd2c24dd60049ad

diff --git a/app-admin/ansible/ansible-2.7.0.ebuild 
b/app-admin/ansible/ansible-2.7.0.ebuild
new file mode 100644
index 00000000000..71d5cc29ecc
--- /dev/null
+++ b/app-admin/ansible/ansible-2.7.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Model-driven deployment, config management, and command execution 
framework"
+HOMEPAGE="https://ansible.com/";
+SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/paramiko[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/httplib2[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/netaddr[${PYTHON_USEDEP}]
+       net-misc/sshpass
+       virtual/ssh
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/packaging-16.6[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/passlib[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/unittest2[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )"
+
+# not included in release tarball
+RESTRICT="test"
+
+python_compile_all() {
+       if use doc; then
+               cd docs/docsite || die
+               export CPUS=4
+               emake -f Makefile.sphinx html
+       fi
+}
+
+python_test() {
+       nosetests -d -w test/units -v --with-coverage --cover-package=ansible 
--cover-branches || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
+       distutils-r1_python_install_all
+
+       doman docs/man/man1/*.1
+       dodoc -r examples
+}

Reply via email to